Subject: [PATCH 1/2] clk: imx: do not sleep if IRQ's are still disabled

From: [email-masked] (Shawn Guo)
Date: Wed, 27 Apr 2016 09:58:36 +0800

On Tue, Apr 26, 2016 at 07:27:03PM +0800, Dong Aisheng wrote:
> Shawn,
> What's your suggestion?

I think this needs more discussion, and I just dropped Stefan's patch
from my tree.

We need to firstly understand why this is happening.  The .prepare hook
is defined to be non-atomic context, and so that we call sleep function
in there.  We did everything right.  Why are we getting the warning?  If
I'm correct, this warning only happens on i.MX7D.  Why is that?

Shawn